## gnome-session 49.1

=== debian/changelog ===
gnome-session (49.1-3ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
    - Split ubuntu-session out of gnome-session.
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch:
      + revert removal of GNOME_DESKTOP_SESSION_ID not to break apps using it
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
    - debian/install: Add ubuntu-mimeapps.list overrides for the Ubuntu session
      + Keep using debian/mimeapps/debian.conf to generate gnome-mimeapps.list
  * Drop gettext domain override:
    - dh_translations can pick it up correctly from meson.build
    - Use new unversioned gettext domain (LP: #2107595)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 04 Nov 2025 15:59:31 +0100

gnome-session (49.1-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 09:23:53 -0400

gnome-session (49.1-2) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Cherry-pick patch from Alessandro to stop translation domain changing
    every release. (Helps: LP 2107595)

  [ Simon McVittie ]
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 11:49:38 +0000

gnome-session (49.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream stable release

  [ Guido Günther ]
  * d/control: Add Breaks on older phosh
  * d/control: Add Breaks on older phrog
  * d/control: Drop an outdated Breaks on phosh

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 12:15:20 +0100

gnome-session (49.0-2) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
    - d/copyright: Don't quote the FSF's former postal address here
    - d/control: Remove Rules-Requires-Root, unnecessary since trixie
    - d/control: Standards-Version: 4.7.2 (no changes required)
  * d/gnome-mimeapps/: Add gnome-mimeapps script by Jan Alexander Steffens,
    as a local mechanism to regenerate MIME type associations.
    (See debian/README.source for details of how to update this.)
  * d/mimeapps/*.desktop: List MIME types supported by preinstalled and
    extra GNOME apps.
    This will allow us to generate our own customized gnome-mimeapps.list
    using d/gnome-mimeapps/, without actually needing all of these apps
    to be installed.
    (See debian/README.source for details of how to update these with the
    latest available information.)
  * d/mimeapps/: Add machinery to generate a customized gnome-mimeapps.list.
    This combines cached MIME type information from
    debian/mimeapps/*.desktop with Debian configuration from
    debian/mimeapps/debian.conf to generate a gnome-mimeapps.list that
    fits Debian preferences better than upstream's.
    (Closes: #1115732)
  * d/mimeapps/debian.conf: Set up Debian preferences (see also the
    meta-gnome3 source package):
    - Prefer Firefox ESR, Firefox or Chromium for web browsing, if
      installed, as a higher priority than GNOME Web (Epiphany).
    - Prefer Loupe for image viewing, if installed.
      If not available, try eog or Shotwell, which were our previous
      defaults, before falling back to anything else.
    - Prioritize image viewers higher than web browsers.
      If Loupe isn't installed for whatever reason, we'd prefer JPEGs
      to open in eog or Shotwell rather than Firefox.
    - Prioritize GNOME Software's .deb installer higher than unpacking
      the .deb with file-roller, which is rarely what is wanted.
    - Add apps that are part of the GNOME metapackage:
      LibreOffice, Evolution, file-roller, Seahorse.
    - Add apps that are Suggests of the GNOME metapackage:
      Goobox, Sound Juicer, Rhythmbox.
    - Add apps that were formerly GNOME defaults as alternatives to the
      current defaults, if installed: Evince, Totem, gedit, AbiWord.
    - Add Thunderbird as a lower priority for email than Evolution,
      if installed.
    - Add gnome-disk-image-writer.desktop (from gnome-disk-utility) as
      a handler for optical media images, etc.
    - Avoid suggesting GNOME Disk Usage Analyzer (Baobab) for directories:
      if Nautilus is not installed, but some other file manager is,
      then we want directories to open in the other file manager.
    - Avoid suggesting GNOME Builder for HTML source:
      if none of our preferred web browsers are installed, but some other
      web browser is, then we want HTML to open in the other web browser.
    - Avoid suggesting LibreOffice Writer or AbiWord for plain text files:
      they can open plain text files, but they're word processors, not

