## gnome-session 49.2

=== debian/changelog ===
gnome-session (49.2-3ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Make gnome-session Arch: any
    - Split ubuntu-session out of gnome-session.
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch:
      + revert removal of GNOME_DESKTOP_SESSION_ID not to break apps using it
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
    - debian/install: Add ubuntu-mimeapps.list overrides for the Ubuntu session
      + Keep using debian/mimeapps/debian.conf to generate gnome-mimeapps.list

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Dec 2025 09:00:56 -0500

gnome-session (49.2-3) unstable; urgency=medium

  * Demote fonts-cantarell to Suggests. It can be uninstalled but keeping
    it in Suggests will have apt keep it installed until after the
    gsettings schema update is installed that changes the default font from
    Cantarell to Adwaita.
  * gnome-mimeapps.list: Remove goobox since it's being removed from Debian

 -- Jeremy Bícha <jbicha@debian.org>  Wed, 17 Dec 2025 17:30:53 -0500

gnome-session (49.2-2) unstable; urgency=medium

  * gnome-session: Add Depends: fonts-adwaita

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Dec 2025 23:52:28 -0500

gnome-session (49.2-1) unstable; urgency=medium

  * New upstream release
  * Remove direct Depends: upower (Closes: #1081577)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 19:28:57 -0500
