=== debian/control ===
--- 
+++ 
@@ -29,17 +29,17 @@
 Package: gnome-session
 Architecture: all
 Depends: adwaita-icon-theme,
-         fonts-cantarell,
+         fonts-adwaita,
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon,
          gnome-shell,
-         libjxl-gdk-pixbuf,
          xdg-desktop-portal-gnome,
          xwayland,
          ${misc:Depends}
 Suggests: desktop-base,
+          fonts-cantarell,
           gnome-keyring
 Breaks: ubuntu-session-xsession (<< 49~)
 Replaces: ubuntu-session-xsession (<< 49~)
@@ -76,7 +76,6 @@
 Architecture: linux-any
 Depends: default-dbus-session-bus | dbus-session-bus,
          gsettings-desktop-schemas,
-         upower,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: default-logind | logind
