## gnome-session 50~alpha

=== debian/changelog ===
gnome-session (50~alpha-0ubuntu2) resolute; urgency=medium

  * d/control: Actually bump minimum gnome-shell version

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 08 Jan 2026 17:09:42 +0100

gnome-session (50~alpha-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Drop gettext patch applied upstream
  * d/p, d/control: Drop session-migration in favour of user-session-migration
  * d/p/u/ubuntu-sessions.patch: Rework for new mesonfile
  * d/p: Refresh all other patches
  * d/control: Drop (incorrect) breaks/replaces for the xsession
  * d/control: Drop unused Build-Depends dh-sequence-migrations
  * d/control: Bump minimum gnome-shell version
  * d/install: Drop secondary wayland sessions

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 08 Jan 2026 14:13:28 +0100
