=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-migrations,
                dh-sequence-gnome,
                libdbus-1-dev,
                libgl-dev,
@@ -34,15 +33,13 @@
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon,
-         gnome-shell,
+         gnome-shell (>= 50~),
          xdg-desktop-portal-gnome,
          xwayland,
          ${misc:Depends}
 Suggests: desktop-base,
           fonts-cantarell,
           gnome-keyring
-Breaks: ubuntu-session-xsession (<< 49~)
-Replaces: ubuntu-session-xsession (<< 49~)
 Description: GNOME Session Manager - default GNOME session
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
@@ -59,15 +56,12 @@
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon (>= 3.37.0),
-         gnome-shell (>= 3.37.91),
+         gnome-shell (>= 50~),
          xdg-desktop-portal-gnome,
          xwayland,
          yaru-theme-gnome-shell (>= 20.04.3~),
          ${misc:Depends}
 Recommends: python3,
-            session-migration,
-Breaks: ubuntu-session-xsession (<< 49~)
-Replaces: ubuntu-session-xsession (<< 49~)
 Description: Ubuntu session with GNOME Shell
  This package contains the required components for a GNOME session
  with default Ubuntu configuration, based on the GNOME Shell.
