=== debian/changelog ===
gnome-session (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 11:52:13 +0100

gnome-session (50~alpha-0ubuntu3) resolute; urgency=medium

  * d/control: Breaks older gdm

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 11 Feb 2026 23:56:47 +0100
