=== debian/control ===
--- 
+++ 
@@ -74,7 +74,7 @@
          ${shlibs:Depends}
 Recommends: default-logind | logind
 Breaks: budgie-desktop (<< 10.8.2-3~),
-        gdm3 (<< 49),
+        gdm3 (<< 50~),
         gnome-initial-setup (<< 49),
         gnome-startup-applications (<< 49),
         phosh (<< 0.50~rc),
